<bugID>1404355<Summary>Rework the sizing styles of the URL bar for more practical button overflow</Summary><Description>From bug 1370401 comment 64 (edited to make sense without context):

Here's the situation now that we have overflow: -moz-hidden-unscrollable on the urlbar.

- The page action buttons no longer overlap other toolbar buttons, so this bug is less urgent.
- They still do overflow, which is not a concern to me since all of them are always accessible from the page action menu. However, the page action button can also overflow if the window/urlbar gets small enough, which is a bit bad.

I still think we should get rid of min-width: 1px on the URL bar, which will prevent the URL bar from overflowing at all. It will result in the code that overflows toolbar buttons working more accurately, which is very beneficial for realistic window sizes. Toolbar buttons can overflow before the EV label is truncated, which I think is a good thing, especially if the user has a lot of toolbar buttons.

I also think that setting a min-width on the actual text in the URL bar is definitely something we should do. Also, I've filed bug 1401835 to consider intelligently hiding page action buttons when space is limited.

We should attempt this alongside bug 1401835, and moreover, I think it might end up being a prerequisite to being able to implement that one. Here are some decisions that I can predict we'll need to make:

- If we start intelligently collapsing page action buttons, when is the right time to start doing this? Should we hide toolbar buttons first, or page action buttons? I think the answer is to not touch the toolbar button overflow code, and to start collapsing page action buttons when the URL text width gets small; i.e., keep as much as the URL visible for as long as possible as the URL bar gets smaller.

- Can we land the removal of the min-width before worrying about page action buttons? I think we can and should, especially because dogfooding this might help understand the best way to implement page action button collapsing. I also expect this will end up being a prerequisite like I mentioned above.

I've tried to be as clear as I can articulating all of this, but I might have to read this again later and make amendments :)</Description></bugID>